### Function

# Soup Multipart new

#### Declaration [src]

    SoupMultipart*
    soup_multipart_new (
      const char* mime_type
    )

#### Description [src]

Creates a new empty `SoupMultipart` with a randomly-generated boundary string.

Note that `mime_type` must be the full MIME type, including “multipart/”.

See also: `soup_message_new_from_multipart()`.

#### Parameters

`mime_type`

  Type: `const char*`

  The MIME type of the multipart to create.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `SoupMultipart`

A new empty `SoupMultipart` of the given `mime_type`.

The caller of the function takes ownership of the data, and is responsible for freeing it.